Subject: Re: bug#50067: Context menus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Aug 2021 14:32:27 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 20 Aug 2021 10:29:47 +0300
> 
> >> GUI toolkits can't ignore titles for all menus.  Some menus should be
> >> displayed with a title for all toolkits.
> >
> > Which popup menus have titles that cannot be ignored, and why?
> 
> An example of such menu is mouse-buffer-menu bound to C-<down-mouse-1>
> where the user might wonder what do these menu items with mode names mean?

OK, but I still don't think I fully understand how context menus are
different.  Are we sure the user will immediately understand the
purpose of the context menus, but not of a buffer-menu?

> > If we want some titles to behave in special ways, we could put a text
> > property on the title string to mark those titles that should get
> > special treatment.  That is better than removing the title, and
> > certainly better than removing it based on the frame type, because
> > then Lisp code which handles the menu keymaps will need to be prepared
> > to handle both kinds of menu keymaps, the ones with a title and ones
> > without it.  It is also against the documented practice.
> 
> Using a text property would be a good solution.  Should then
> the NS-specific "Select" title be removed in menu.c
> when the title has a special text property?

I'm not sure I understand what is the NS-specific "Select" title.  Can
you point me to the relevant code?